{% extends 'property_vacancy_management/building_unit/building_unit.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/location_map') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/location_map') }}
{% endblock %}

{% block main %}
    <div id="building_unit_map"
         data-building-unit-id="{{ buildingUnit.getId() }}"
         data-loading-text="Lade Karte"
         class="flex-grow-1"
         {% if geolocationPoint != null %}
             data-longitude="{{ geolocationPoint.getPoint().getLongitude() }}"
             data-latitude="{{ geolocationPoint.getPoint().getLatitude() }}"
         {% endif %}
         data-building-unit-voter="{{ {'canView': is_granted('view', buildingUnit), 'canEdit': is_granted('edit', buildingUnit)}|json_encode|escape('html') }}"
         data-account-user-type="{{ app.user.getAccountUserType().value }}"
    >
    </div>
{% endblock %}
